defaults = {
    'apt': {
        'packages': {
            'ffmpeg': {},
        },
    },
    'icinga2_api': {
        'mautrix-telegram': {
            'services': {
                'MAUTRIX-TELEGRAM PROCESS': {
                    'command_on_monitored_host': '/usr/lib/nagios/plugins/check_procs -a mautrix-telegram -c 1:',
                },
            },
        },
    },
    'matrix-synapse': {
        'appservice_configs': {
            '/opt/mautrix-telegram/registration.yaml',
        },
    },
    'mautrix-telegram': {
        'database': {
            'user': 'mautrix-telegram',
            'password': repo.vault.password_for('{} postgresql mautrix-telegram'.format(node.name)),
            'database': 'mautrix-telegram',
        },
        'as_token': repo.vault.password_for('{} mautrix-telegram as_token'.format(node.name)),
        'hs_token': repo.vault.password_for('{} mautrix-telegram hs_token'.format(node.name)),
        'sender_localpart': repo.vault.password_for('{} mautrix-telegram sender_localpart'.format(node.name)),
    },
    'postgresql': {
        'roles': {
            'mautrix-telegram': {
                'password': repo.vault.password_for('{} postgresql mautrix-telegram'.format(node.name)),
            },
        },
        'databases': {
            'mautrix-telegram': {
                'owner': 'mautrix-telegram',
            },
        },
    },
}

